请选择 进入手机版 | 继续访问电脑版

01BIM社区

 找回密码
 立即注册

扫一扫,访问微社区

查看: 775|回复: 0

“Entities.transform_entities”的使用

[复制链接]

87

主题

179

帖子

757

积分

高级会员

Rank: 4

积分
757
发表于 2016-9-30 10:22:49 | 显示全部楼层 |阅读模式
关于当在组中记录点的相关属性,在用sketchup本身命令进行移动,旋转时,点的坐标位置未改变。可采用标题这个方法来进行实现实时改变
在完成实体属性记录后,输入以下方法:
            tr = Geom::Transformation.rotation insert_Pt1, [0, 0, 1], angle
                @entities.transform_entities(tr, group)

(@entities=Sketchup.active_model.entities)
QQ截图20160930102111.png QQ截图20160930102133.png QQ截图20160930102201.png

QQ截图20160930101011.png
学而不思则罔,思而不学则殆
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|Archiver|手机版|小黑屋|01BIM社区 - 最专业的BIM技术交流平台 ( 渝ICP备15000873号 )

GMT+8, 2019-10-20 19:31 , Processed in 0.070653 second(s), 24 queries .

Powered by Discuz! X3.4

© 2001-2017 Comsenz Inc.

快速回复 返回顶部 返回列表